OpenapiBilling
Payment statistics for the admin statistics page.
Counts only finalized attempts (Succeeded/Failed) attributed to their initiation day (`created_at`). Requires the `billing.view` permission.
Counts only finalized attempts (Succeeded/Failed) attributed to their
initiation day (created_at). Requires the billing.view permission.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Query Parameters
days?|
Statistics window in days; only 7 or 30 are accepted. Defaults to 7.
Format
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bill/stats/payments"{ "amountsByCurrency": [ { "amount": 0, "currency": "string" } ], "failedCount": 0, "paymentTrend": [ { "date": "string", "failedCount": 0, "succeededCount": 0 } ], "providers": [ { "amountsByCurrency": [ { "amount": 0, "currency": "string" } ], "failedCount": 0, "paymentProvider": "string", "succeededCount": 0 } ], "succeededCount": 0, "windowDays": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}